Description

Some error messages are too vague, and could be improved including useful information.

For instance, the error "Could not get virtual network for VM." doesn't say which network failed (a VM can have several NIC
attributes), and it doesn't say the reason: the network doesn't exist, it doesn't have any more free leases, or the requested IP is not
part of that network.

"Could not get disk image for VM." has the same problem.
"Can not delete image" could inform that images can't be deleted if they are in the used state.

Associated revisions

Revision fc6aa51c - 02/24/2012 08:13 PM - Ruben S. Montero

feature #962, feature #1112: Improve error messages when getting an Image or a Virtual Network

Revision a40bb000 - 02/24/2012 08:29 PM - Ruben S. Montero

feature #962: Fix wrong error message

Revision 95b5f405 - 02/27/2012 03:08 PM - Carlos Martin

Feature #1112 #962: Better handling of error messages in Clusters

Revision e522dabc - 03/07/2012 04:45 PM - Carlos Martin

Feature #1112, #962: Fix a bunch of typos in error messages

History

#1 - 12/07/2011 12:49 PM - Cyril Rohr

Carlos Martin wrote:

Some error messages are too vague, and could be improved including useful information.

For instance, the error "Could not get virtual network for VM." doesn't say which network failed (a VM can have several NIC attributes), and it

doesn't say the reason: the network doesn't exist, it doesn't have any more free leases, or the requested IP is not part of that network.
+1. Most of the time it means that it can't get a lease. The error message is misleading. Could you improve it please?
Tested on ONE 3.0.0.

#2 - 02/16/2012 03:57 PM - Carlos Martin
- Target version set to Release 3.4
#3 - 03/30/2012 03:33 PM - Ruben S. Montero

- Status changed from New to Closed
- Resolution set to fixed

Some work done in this are. Closing this and we'll open additional issues if needed for specific components,
